ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APITasks & Follow-upsCreate Task

Create Task

Schedules a CRM task, associates with a contact and deal, and logs a task_created event to the contact activity timeline.

POST/api/v1/tasks

Request Body Schema

application/json
contact_iduuidrequired

Contact UUID to associate

Example:c1111111-2222-3333-4444-555555555555
titlestringrequired

Task title or action summary

Example:Follow up on proposal review
due_atdatetimerequired

Due date and time (ISO 8601)

Example:2026-10-27T15:00:00+05:30
typestringoptional

Task type: follow_up, call, demo, or other (default: follow_up)

Example:follow_up
deal_iduuidoptional

Optional deal UUID

owner_iduuidoptional

Assigned teammate UUID

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X POST "https://app.chatofy.in/api/v1/tasks" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"contact_id":"c1111111-2222-3333-4444-555555555555","title":"Follow up on proposal review","due_at":"2026-10-27T15:00:00+05:30","type":"follow_up"}'

Was this endpoint guide helpful?

Previous Endpoint
List Tasks
Next Endpoint
Get Task Details
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X POST "https://app.chatofy.in/api/v1/tasks" \
2 -H "Authorization: Bearer YOUR_API_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{"contact_id":"c1111111-2222-3333-4444-555555555555","title":"Follow up on proposal review","due_at":"2026-10-27T15:00:00+05:30","type":"follow_up"}'
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "task": {
5 "id": "tsk-002",
6 "organization_id": "org-uuid-001",
7 "contact_id": "c1111111-2222-3333-4444-555555555555",
8 "deal_id": null,
9 "owner_id": null,
10 "type": "follow_up",
11 "title": "Follow up on proposal review",
12 "due_at": "2026-10-27T15:00:00+05:30",
13 "status": "open",
14 "is_overdue": false,
15 "replied_since_last_followup": false,
16 "created_at": "2026-10-26T22:45:00+05:30",
17 "updated_at": "2026-10-26T22:45:00+05:30"
18 }
19 },
20 "message": "Task created successfully"
21}